
QGIS Application - Bug report #11283

QGIS displays all 65535 Unicode characters in Font Marker symbol selection window

2014-09-27 07:12 AM - Richard Hartley

Status: Closed

Priority: Low

Assignee:

Category: GUI

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 19579

Description

QGIS enable users to select from all 65535 Unicode characters when selecting the character for Font Marker Symbol, even though the

majority of these characters may not exist in a font.

An example of font which only has character in three unicode blocks is attached, together with further details and screenshots.

The characters available should be restricted to the characters specified within the font, for example as in Microsoft Word.

History

#1 - 2014-10-04 10:02 AM - Giovanni Manghi

- Category changed from Symbology to GUI

- Affected QGIS version changed from 2.4.0 to master

- OS version deleted (8.1)

- Operating System deleted (Windows)

- Priority changed from Normal to Low

#2 - 2017-05-01 01:08 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#3 - 2019-03-09 04:09 PM - Giovanni Manghi

- Status changed from Open to Closed

- Resolution set to end of life

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

Files

QGIS_Displays_All_Unicode_Characters.zip 420 KB 2014-09-27 Richard Hartley
